Subject: Re: Xenix Mail
From: [email-masked] (Chip Salzenberg)
Date: 26 Jun 90 17:35:18 GMT
Newsgroups: comp.mail.uucp,comp.unix.xenix

According to [email-masked] (Robert Dinse):
>I have a Tandy 6000 running Tandy's bizzare version of Xenix 3.02.00.
>I would appreciate any help in understanding how mail works on this system,
>specifically, how the various componenets, mail.local, execmail, main.mn,
>daemon.mn, and /bin/mail itself all devide the labor of delivering mail.

Okay, here's the rundown.  Note that this description is based on SCO
Xenix 2.2 and 2.3; your milage may vary.

/usr/bin/mail: A user agent, aka user interface, with delusions of
	being a transfer agent.  It should just show you mail and let
	execmail handle delivery.  However, unless you say "set
	execmail" in the file "/usr/lib/mail/mailrc", it likes to
	deliver local mail on its own.  Unfortunately, it thinks that
	everything without a bang or a colon is local.

/usr/bin/rmail: Itty bitty program that runs execmail.  Invoked only
	for incoming mail from your UUCP neighbors; not something
	you'd run yourself.  It may be smart enough to run uux
	directly; I don't know.  Smail 2.5 and 3.1 replace rmail with
	a link to smail.

/usr/lib/mail/execmail: The brains [sic] of the outfit.  The central
	part of the Xenix mail transport system.  Execmail does
	aliasing, and then runs one of mail.local, mail.cln or uux to
	do the dirty work.  Parameters include -m (me too on aliases),
	-n (no aliasing), -r (remote?), -h # (max UUCP hop count) and
	-f user (who the message is supposed to be from).

/usr/lib/mail/mail.local: Delivery of local mail.  I *think* it also
	understands UUCP addresses, but don't quote me on that.  My
	Deliver program is a plug-in replacement for mail.local.
	(I suppose that this rates as a plug-in plug.  :-))
	Parameters include -r user (who the message is supposed to be
	from -- yes, that's "-r").
 
/usr/lib/mail/mail.cln: Deliver of Micnet or other network mail, i.e.
	mail with a CoLoN in the address.  No details here, except
	that the parameters "-h 0 'targethost' 'sender' 'recipient'"
	seem to work for me on Micnet.  (Gads, I hate Micnet.)

>     I have smail and am trying to figure out how to interface it properly
>with this version of Xenix.

I'll E-Mail my Xenix patches; that should fix you right up.

-- 
Chip, the new t.b answer man      <[email-masked]>, <uunet!ateng!tct!chip>